@SuppressLint("NewApi")作用是屏蔽android lint错误
在Android代码中,我们有时会使用比我们在AndroidManifest中设置的android:minSdkVersion版本更高的方法,此时编译器会提示警告.
解决方法是在方法上加上@SuppressLint("NewApi")
作用仅仅是屏蔽android lint错误,所以在方法中还要判断版本做不同的操作.

分类: Android

发表评论

邮箱地址不会被公开。 必填项已用*标注